<?php

/**
 * Layout Solution Directory File
 *
 * <p>This files helps each page find the templates and establish the
 * <var>$Layout</var> object. A copy of this file must be in each
 * directory of your website.</p>
 *
 * <p>For the system to work, you need to set the following two
 * variables in each Directory File:</p>
 *
 * <p><b><var>$DirLeader</var></b></p>
 *
 * <p>The dot leader needed to get up to the Base Directory of this
 * website. The term "Base Directory" means the location where your Home
 * Page resides.  In other terms, the directory that is accessed when
 * someone types your domain, eg <kbd>http://www.example.org/</kbd>, in
 * their web browser.  While the Base Directory may be the same
 * as your Document Root in Apache (or other web server), the
 * Base Directory can also be a subdirectory of your Document Root.</p>
 *
 * <p>If the present directory:</p>
 *
 * <ul>
 *   <li> is the Base Directory, use <kbd>'.'</kbd> </li>
 *   <li> is one level below the Base Directory, use <kbd>'..'</kbd> </li>
 *   <li> is two levels below the Base Directory, use <kbd>'../..'</kbd> </li>
 *   <li> etc... </li>
 * </ul>
 *
 * <p><b><var>$IncludeDir</var></b></p>
 *
 * <p>The full or relative path to and the name of your Include
 * Directory. The "Include Directory" is the place where you keep your
 * commonly used PHP scripts. We're using this variable, despite the
 * existence of PHP's <var>include_path</var>, because some systems
 * restrict its use for security reasons.</p>
 *
 * <p>If your include files are in:</p>
 *
 * <ul>
 *  <li> the Base Directory, two levels up, use: <kbd>'../..'</kbd> </li>
 *  <li> a subdirectory named &quot;include&quot; in the Base Directory,
 *         two levels up, you'd enter: <kbd>'../../include'</kbd> </li>
 *  <li> a directory at the same level as the Base Directory, while your
 *         Base Directory is two levels up, you'll need something like:
 *         <kbd>'../../../include'</kbd> or
 *         <kbd>'/htdocs/username/include'</kbd> </li>
 *  <li> your home directory outside of the web server, use a full path,
 *         such as: <kbd>'/usr/username/include'</kbd> </li>
 *   <li> etc... </li>
 * </ul>
 *
 * <p>Don't place trailing slashes on either of these variables.</p>
 *
 * <p>This is part of the Layout Solution.  See the layout.inc file
 * for more information, the license, etc.</p>
 *
 * @see        LayoutSolution
 * @package    LayoutSolution
 * @author     Daniel Convissor <danielc@AnalysisAndSolutions.com>
 * @copyright  The Analysis and Solutions Company, 2001-2009
 * @version    $Name: rel-5-12 $ $Id: directory.inc,v 5.3 2009/03/19 15:45:54 danielc Exp $
 * @link       http://www.LayoutSolution.info/
 */


$DirLeader  = '.';
$IncludeDir = '../include';

/**
 * Get the main class file
 */
require $IncludeDir . '/layout.inc';
$Layout = new LayoutSolution;
